RTEMS: bsps/arm/raspberrypi/console/fb.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Enumerations | Functions
fb.c File Reference

framebuffer support. More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include <bsp.h>`
`#include <bsp/raspberrypi.h>`
`#include <bsp/mailbox.h>`
`#include <bsp/vc.h>`
`#include <bsp/rpi-fb.h>`
`#include <libcpu/arm-cp15.h>`
`#include <rtems.h>`
`#include <rtems/libio.h>`
`#include <rtems/fb.h>`
`#include <rtems/framebuffer.h>`
`#include <rtems/score/atomic.h>`
`#include <rtems/bspIo.h>`

## Macros
#define | SCREEN_WIDTH 1024
#define | SCREEN_HEIGHT 768
#define | BPP 32

## Enumerations
enum | mode_err_ret_val { NO_SUITABLE_MODE = -1 , BAD_FORMAT = -2 , AUTO_SELECT = -3 , DONT_INIT = -4 , NO_MODE_REQ = -5 , NO_SUITABLE_MODE = -1 , BAD_FORMAT = -2 , AUTO_SELECT = -3 , DONT_INIT = -4 , NO_MODE_REQ = -5 }

## Functions
int | rpi_get_fix_screen_info (struct fb_fix_screeninfo *info)
int | rpi_get_var_screen_info (struct fb_var_screeninfo *info)
bool | rpi_fb_hdmi_is_present (void)
int | rpi_fb_init (void)
rtems_device_driver | frame_buffer_initialize (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Frame Buffer Initialization Entry Point.
rtems_device_driver | frame_buffer_open (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Frame Buffer Open Entry Point.
rtems_device_driver | frame_buffer_close (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Frame Buffer Close Entry Point.
rtems_device_driver | frame_buffer_read (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Frame Buffer Read Entry Point.
rtems_device_driver | frame_buffer_write (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Frame Buffer Write Entry Point.
rtems_device_driver | frame_buffer_control (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Frame Buffer IO Control Entry Point.

## Detailed Description

framebuffer support.

## Function Documentation

## ◆ frame_buffer_close()

rtems_device_driver frame_buffer_close | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Frame Buffer Close Entry Point.

This method closes a specific device supported by the frame buffer device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Returns
  This method returns RTEMS_SUCCESSFUL when the device is successfully closed.

## ◆ frame_buffer_control()

rtems_device_driver frame_buffer_control | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Frame Buffer IO Control Entry Point.

This method performs an IO Control operation on a specific device supported by the frame buffer device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Returns
  This method returns RTEMS_SUCCESSFUL when the device driver IO control operation is successfully performed.

## ◆ frame_buffer_initialize()

rtems_device_driver frame_buffer_initialize | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Frame Buffer Initialization Entry Point.

This method initializes the frame buffer device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Returns
  This method returns RTEMS_SUCCESSFUL when the device driver is successfully initialized.

## ◆ frame_buffer_open()

rtems_device_driver frame_buffer_open | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Frame Buffer Open Entry Point.

This method opens a specific device supported by the frame buffer device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Returns
  This method returns RTEMS_SUCCESSFUL when the device driver is successfully opened.

## ◆ frame_buffer_read()

rtems_device_driver frame_buffer_read | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Frame Buffer Read Entry Point.

This method reads from a specific device supported by the frame buffer device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Returns
  This method returns RTEMS_SUCCESSFUL when the device is successfully read from.

## ◆ frame_buffer_write()

rtems_device_driver frame_buffer_write | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Frame Buffer Write Entry Point.

This method writes to a specific device supported by the frame buffer device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Returns
  This method returns RTEMS_SUCCESSFUL when the device is successfully written.